Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MID Profile
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.microedition.lcdui
Class ImageItem

    java.lang.Object
      |
      +--javax.microedition.lcdui.Item
            |
            +--javax.microedition.lcdui.ImageItem

public class ImageItem
extends Item

A class that provides layout control when Image objects are added to a `Form` or to an `Alert`.

Each ImageItem object contains a reference to an Image object. This image must be immutable. (If the image object were not required to be immutable, the application could paint into it at any time, potentially requiring the containing Form or Alert to be updated on every graphics call.) See the definition of the `Image` object for further details on image mutability how to create immutable images.

The value null may be specified for the image contents of an ImageItem. If this occurs (and if the label is also null) the ImageItem will occupy no space on the screen.

Each ImageItem object contains a layout field that is combined from the following values: LAYOUT_LEFT, LAYOUT_RIGHT, LAYOUT_CENTER, LAYOUT_NEWLINE_BEFORE, and LAYOUT_NEWLINE_AFTER. LAYOUT_LEFT + LAYOUT_RIGHT is equal to LAYOUT_CENTER. LAYOUT_DEFAULT may be specified, which indicates that the system should use its default layout policy for this ImageItem. The value of the layout field is merely a hint. Because of device constraints, such as limited screen size, the implementation may choose to ignore layout directions.

There are some implicit rules on how the layour directives can be combined:

- LAYOUT_DEFAULT cannot not be combined with any other directive. In fact, any other value will override LAYOUT_DEFAULt since its value is 0.
- LAYOUT_LEFT, LAYOUT_RIGHT and LAYOUT_CENTER are meant to be mutually exclusive.
- It usually makes sence to combine LAYOUT_LEFT, LAYOUT_RIGHT and LAYOUT_CENTER with LAYOUT_NEWLINE_BEFORE and LAYOUT_NEWLINE_AFTER.

The altText parameter specifies a string to be displayed in place of the image if the image exceeds the capacity of the display. The altText parameter may be null.

Field Summary
`static int` | `LAYOUT_CENTER` Image should be horizontally centered.
`static int` | `LAYOUT_DEFAULT` Use the default formatting of the "container" of the image.
`static int` | `LAYOUT_LEFT` Image should be close to left-edge of the drawing area.
`static int` | `LAYOUT_NEWLINE_AFTER` A new line should be started after the image is drawn.
`static int` | `LAYOUT_NEWLINE_BEFORE` A new line should be started before the image is drawn.
`static int` | `LAYOUT_RIGHT` Image should be close to right-edge of the drawing area.

Constructor Summary
`ImageItem(String label, Image img, int layout, String altText)` Creates a new ImageItem with the given label, image, layout directive, and alternate text string.

Method Summary
`String` | `getAltText()` Gets the text string to be used if the image exceeds the device's capacity to display it.
`Image` | `getImage()` Gets the image contained within the ImageItem, or null if there is no contained image.
`int` | `getLayout()` Gets the layout directives used for placing the image.
`void` | `setAltText(String text)` Sets the alternate text of the ImageItem, or null if no alternate text is provided.
`void` | `setImage(Image img)` Sets the image object contained within the ImageItem.
`void` | `setLayout(int layout)` Sets the layout directives.

Methods inherited from class javax.microedition.lcdui.Item
`getLabel, setLabel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LAYOUT_DEFAULT

    public static final int LAYOUT_DEFAULT

  Use the default formatting of the "container" of the image.

  Value 0 is assigned to LAYOUT_DEFAULT.

### LAYOUT_LEFT

    public static final int LAYOUT_LEFT

  Image should be close to left-edge of the drawing area.

  Value 1 is assigned to LAYOUT_LEFT.

### LAYOUT_RIGHT

    public static final int LAYOUT_RIGHT

  Image should be close to right-edge of the drawing area.

  Value 2 is assigned to LAYOUT_RIGHT.

### LAYOUT_CENTER

    public static final int LAYOUT_CENTER

  Image should be horizontally centered.

  Value 3 is assigned to LAYOUT_CENTER.

### LAYOUT_NEWLINE_BEFORE

    public static final int LAYOUT_NEWLINE_BEFORE

  A new line should be started before the image is drawn.

  Value 0x100 is assigned to LAYOUT_NEWLINE_BEFORE.

### LAYOUT_NEWLINE_AFTER

    public static final int LAYOUT_NEWLINE_AFTER

  A new line should be started after the image is drawn.

  Value 0x200 is assigned to LAYOUT_DEFAULT.

Constructor Detail

### ImageItem

    public ImageItem(String label,
                     Image img,
                     int layout,
                     String altText)

  Creates a new ImageItem with the given label, image, layout directive, and alternate text string.
  Parameters:
    `label` - the label string
    `img` - the image, must be immutable
    `layout` - a combination of layout directives
    `altText` - the text that may be used in place of the image
  Throws:
    IllegalArgumentException - if the image is mutable
    IllegalArgumentException - if the layout value is not a legal combination of directives

Method Detail

### getImage

    public Image getImage()

  Gets the image contained within the ImageItem, or null if there is no contained image.
  Returns:
    image used by the ImageItem

### setImage

    public void setImage(Image img)

  Sets the image object contained within the ImageItem. The image must be immutable. If img is null, the ImageItem is set to be empty.
  Parameters:
    `img` - the new image
  Throws:
    IllegalArgumentException - if the image is mutable

### getAltText

    public String getAltText()

  Gets the text string to be used if the image exceeds the device's capacity to display it.
  Returns:
    the alternate text value, or null if none

### setAltText

    public void setAltText(String text)

  Sets the alternate text of the ImageItem, or null if no alternate text is provided.
  Parameters:
    `text` - the new alternate text

### getLayout

    public int getLayout()

  Gets the layout directives used for placing the image.
  Returns:
    a combination of layout directive values

### setLayout

    public void setLayout(int layout)

  Sets the layout directives.
  Parameters:
    `layout` - a combination of layout directive values
  Throws:
    IllegalArgumentException - if the value of layout is not a valid combination of layout directives

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MID Profile
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a comment or suggestion Version 0.95 of MID Profile Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries. Copyright 1993-2000 Sun Microsystems, Inc. 901 San Antonio Road,Palo Alto, California, 94303, U.S.A. All Rights Reserved.